## tellico 2.3.8+dfsg.1

=== doc/CMakeLists.txt ===
add_subdirectory(es)
add_subdirectory(fr)
add_subdirectory(nl)
add_subdirectory(pt)
add_subdirectory(uk)
add_subdirectory(sv)
add_subdirectory(en_US)
add_subdirectory(et)
add_subdirectory(de)
add_subdirectory(pt_BR)
add_subdirectory(ca)

=== xslt/CMakeLists.txt ===
ADD_SUBDIRECTORY( entry-templates )
ADD_SUBDIRECTORY( report-templates )

########### install files ###############

SET(XSLT_FILES
    amazon2tellico.xsl
    arxiv2tellico.xsl
    biblioshare2tellico.xsl
    bluray-logo.png
    cassette-logo.png
    cd-logo.png
    crossref2tellico.xsl
    dblp2tellico.xsl
    delicious2tellico.xsl
    discogs2tellico.xsl
    douban2tellico.xsl
    dvd-logo.png
    dvdfr2tellico.xsl
    gcstar2tellico.xsl
    giantbomb2tellico.xsl
    goodreads2tellico.xsl
    hddvd-logo.png
    isbndb2tellico.xsl
    MARC21slim2MODS3.xsl
    MARC21slimUtils.xsl
    mods2tellico.xsl
    musicbrainz2tellico.xsl
    pubmed2tellico.xsl
    record-logo.png
    referencer2tellico.xsl
    shadowAlpha.png
    springer2tellico.xsl
    srw2tellico.xsl
    tellico2gcstar.xsl
    tellico2html.js
    tellico2html.xsl
    tellico2onix.xsl
    tellico-by-author.xsl
    tellico-by-title.xsl
    tellico-common.xsl
    tellico-printing.xsl
    thegamesdb2tellico.xsl
    tmdb2tellico.xsl
    UNIMARC2MODS3.xsl
    vhs-logo.png
    vinoxml2tellico.xsl
    welcome.html
    winecom2tellico.xsl
    xmp2tellico.xsl
    yahoo2tellico.xsl
    )

INSTALL(FILES ${XSLT_FILES} DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== doc/de/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de SUBDIR tellico )

=== doc/es/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es SUBDIR tellico )

=== doc/et/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/et SUBDIR tellico )

=== doc/pt/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt SUBDIR tellico )

=== doc/pt_BR/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR SUBDIR tellico )

=== doc/uk/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk SUBDIR tellico )

=== src/barcode/CMakeLists.txt ===
########### next target ###############

SET(barcode_STAT_SRCS
   barcode.cpp
   barcode_v4l.cpp
   )

KDE4_ADD_LIBRARY(barcode STATIC ${barcode_STAT_SRCS})

=== src/core/CMakeLists.txt ===
########### next target ###############

SET(core_STAT_SRCS
   dbusinterface.cpp
   drophandler.cpp
   filehandler.cpp
   netaccess.cpp
   tellico_config_addons.cpp
   tellico_strings.cpp
   )

SET(core_KCFG_SRCS
   tellico_config.kcfgc
   )

KDE4_ADD_KCFG_FILES(core_STAT_SRCS ${core_KCFG_SRCS})

ADD_CUSTOM_TARGET(tellico_config DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/tellico_config.h)

KDE4_ADD_LIBRARY(core STATIC ${core_STAT_SRCS})

TARGET_LINK_LIBRARIES(core
    utils
    )

########### install files ###############

INSTALL(FILES   tellico_config.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
INSTALL(FILES   tellico-rename.upd tellico.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

INSTALL(PROGRAMS   tellico-1-3-update.pl DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

=== src/fetch/CMakeLists.txt ===
ADD_SUBDIRECTORY( scripts )

########### next target ###############

SET(fetch_STAT_SRCS
   allocinefetcher.cpp
   amazonfetcher.cpp
   amazonrequest.cpp
   animenfofetcher.cpp
   arxivfetcher.cpp
   beyazperdefetcher.cpp
   bibliosharefetcher.cpp
   bibsonomyfetcher.cpp
   citebasefetcher.cpp
   configwidget.cpp
   crossreffetcher.cpp
   dblpfetcher.cpp
   discogsfetcher.cpp
   doubanfetcher.cpp
   dvdfrfetcher.cpp
   entrezfetcher.cpp
   execexternalfetcher.cpp
   fetcher.cpp
   fetcherinitializer.cpp
   fetcherjob.cpp
   fetchmanager.cpp
   fetchresult.cpp
   filmasterfetcher.cpp
   filmstartsfetcher.cpp
   freebasefetcher.cpp
   gcstarpluginfetcher.cpp
   gcstarthread.cpp
   giantbombfetcher.cpp
   googlebookfetcher.cpp
   googlescholarfetcher.cpp
   hathitrustfetcher.cpp
   hmac_sha2.c
   ibsfetcher.cpp
   imdbfetcher.cpp
   isbndbfetcher.cpp
   masfetcher.cpp
   messagehandler.cpp
   moviemeterfetcher.cpp
   multifetcher.cpp
   musicbrainzfetcher.cpp
   openlibraryfetcher.cpp
   screenrushfetcher.cpp
   sensacinefetcher.cpp
   sha2.c
   springerfetcher.cpp
   srufetcher.cpp
   thegamesdbfetcher.cpp
   themoviedbfetcher.cpp
   vndbfetcher.cpp
   winecomfetcher.cpp
   xmlfetcher.cpp
   yahoofetcher.cpp
   z3950connection.cpp
   z3950fetcher.cpp
   )

KDE4_ADD_LIBRARY(fetch STATIC ${fetch_STAT_SRCS})

TARGET_LINK_LIBRARIES(fetch
    newstuff
    btparse
    )

TARGET_LINK_LIBRARIES(fetch ${KDEPIMLIBS_KXMLRPCCLIENT_LIBS})

IF( YAZ_FOUND )
  TARGET_LINK_LIBRARIES(fetch ${YAZ_LIBRARIES})
ENDIF( YAZ_FOUND )

IF( QJSON_FOUND )
  TARGET_LINK_LIBRARIES(fetch ${QJSON_LIBRARIES} ${qjson_LIBRARIES})
ENDIF( QJSON_FOUND )

########### install files ###############

INSTALL(FILES   z3950-servers.cfg DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== src/gui/CMakeLists.txt ===

########### next target ###############

SET(gui_STAT_SRCS
   boolfieldwidget.cpp
   choicefieldwidget.cpp
   collectiontypecombo.cpp
   combobox.cpp
   countdelegate.cpp
   cursorsaver.cpp
   datefieldwidget.cpp
   datewidget.cpp
   guiproxy.cpp
   imagefieldwidget.cpp
   imagewidget.cpp
   fieldwidget.cpp
   kwidgetlister.cpp
   lineedit.cpp
   linefieldwidget.cpp
   listwidgetitem.cpp
   numberfieldwidget.cpp
   parafieldwidget.cpp
   previewdialog.cpp
   progress.cpp
   ratingfieldwidget.cpp
   ratingwidget.cpp
   spinbox.cpp
   statusbar.cpp
   stringmapdialog.cpp
   tablefieldwidget.cpp
   tabwidget.cpp
   treeview.cpp
   urlfieldwidget.cpp
   )

# The KDateComboBox class was added to KDE in version 4.7
# If we're building under KDE 4.6, use a local copy
IF(${KDE_VERSION} VERSION_LESS "4.6.99" AND ${KDE_VERSION} VERSION_GREATER "4.5.99")
  LIST(APPEND gui_STAT_SRCS kdatecombobox.cpp)
ENDIF(${KDE_VERSION} VERSION_LESS "4.6.99" AND ${KDE_VERSION} VERSION_GREATER "4.5.99")

KDE4_ADD_LIBRARY(gui STATIC ${gui_STAT_SRCS})

=== debian/control ===
Source: tellico
Section: kde
Priority: optional
Maintainer: Regis Boudin <regis@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-config, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.7), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev (>=4:4.7), libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, shared-desktop-ontologies, libqjson-dev
Standards-Version: 3.9.4
Homepage: http://tellico-project.org/
Vcs-Git: git://anongit.kde.org/tellico.git

Package: tellico
Replaces: tellico-data (<= 1.2.14-1)
Architecture: any
Depends: tellico-data (= ${source:Version}), tellico-scripts, ${shlibs:Depends}, ${misc:Depends}
Recommends: tellico-doc, khelpcenter4
Description: Collection manager for books, videos, music, etc
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines. 
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .  
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.

Package: tellico-doc
Section: doc
Architecture: all
Breaks: tellico (<< 1.1.6-1), tellico-data (<< 2.3.7-1)
Replaces: tellico (<< 1.1.6-1), tellico-data (<< 2.3.7-1)
Depends: kdelibs5-data, ${misc:Depends}
Recommends: tellico
Description: Collection manager for books, videos, music, etc [doc]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines. 
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .  
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.
 .
 This package contains the documentation.

Package: tellico-data
Architecture: all
Breaks: tellico (<< 1.1.6-1)
Replaces: tellico (<< 1.1.6-1)
Depends: kdelibs5-data, ${misc:Depends}
Recommends: tellico
Suggests: python
Description: Collection manager for books, videos, music, etc [data]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines. 
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .  
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.
 .
 This package contains the architecture independent files, such data files and
 documentation.

Package: tellico-scripts
Architecture: all
Depends: ${misc:Depends}
Breaks: tellico-data (<= 1.3.1-2)
Replaces: tellico-data (<= 1.3.1-2)
Recommends: tellico
Suggests: python, ruby
Description: Collection manager for books, videos, music, etc [scripts]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines. 
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .  
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.
 .
 This package contains the scripts to import data from external sources, such
 as websites. As the format of the data may change, these scripts are provided
 as a separate package which can be updated through debian-volatile.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed

%:
	dh $@ --with kde

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- \
		-DKDE4_BUILD_TESTS=false \
		-DENABLE_WEBCAM=false

override_dh_shlibdeps:
	dh_shlibdeps -- -xkdepim-runtime

override_dh_compress:
	dh_compress -Xkde

## tellico 2.3.8+dfsg.2

=== CMakeLists.txt ===
project(Tellico)
set(TELLICO_VERSION "2.3.8")

cmake_minimum_required(VERSION 2.6.2)

# http://www.cmake.org/Wiki/CMake_Useful_Variables
# automatically add CMAKE_CURRENT_SOURCE_DIR and CMAKE_CURRENT_BINARY_DIR
# to the include directories in every processed CMakeLists.txt
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
                      ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

############# Options #################

option(ENABLE_AMAZON "Enable Amazon.com searching" TRUE)
option(ENABLE_IMDB "Enable IMDb searching" TRUE)
option(ENABLE_CDTEXT "Enable cdtext" TRUE)
option(ENABLE_WEBCAM "Enable support for webcams" FALSE)
option(BUILD_FETCHER_TESTS "Build tests which verify data sources" FALSE)

include(CheckTypeSize)
check_type_size("unsigned char" SIZEOF_UNSIGNED_CHAR)
check_type_size("unsigned short" SIZEOF_UNSIGNED_SHORT)
check_type_size("unsigned long" SIZEOF_UNSIGNED_LONG)
check_type_size("unsigned int" SIZEOF_UNSIGNED_INT)
check_type_size("short" SIZEOF_SHORT)
check_type_size("long" SIZEOF_LONG)
check_type_size("int" SIZEOF_INT)

include(CheckSymbolExists)
check_symbol_exists(strlwr "string.h" HAVE_STRLWR)
check_symbol_exists(strupr "string.h" HAVE_STRUPR)

find_package(KDE4 4.2.0 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroBoolTo01)
include(MacroLogFeature)

find_package(Gettext REQUIRED)
find_package(QImageBlitz REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(LibXslt REQUIRED)

macro_optional_find_package(Nepomuk)
macro_log_feature(NEPOMUK_FOUND "nepomuk" "Support for reading file metadata" "http://www.kde.org" FALSE "4.2.0" "")
if(NEPOMUK_FOUND)
    include_directories(${NEPOMUK_INCLUDE_DIRS})
endif(NEPOMUK_FOUND)

macro_optional_find_package(KdepimLibs)
macro_log_feature(KDEPIMLIBS_FOUND "kdepimlibs" "Support for using the address book and calendar for loans" "http://pim.kde.org" FALSE "4.2.0" "")
if(KDEPIMLIBS_FOUND)
    include_directories(${KDEPIMLIBS_INCLUDE_DIRS})
endif(KDEPIMLIBS_FOUND)

macro_optional_find_package(KdeMultimedia)
macro_log_feature(KDEMULTIMEDIA_FOUND "kdemultimedia" "Support for CDDB searches" "http://multimedia.kde.org" FALSE "4.2.0" "")

# The taglib cmake script is broken for older taglib versions, this works around the issue
set(TAGLIB_INCLUDES)
macro_optional_find_package(Taglib)
macro_log_feature(TAGLIB_FOUND "taglib" "Support for reading multimedia files" "http://www.freshmeat.net/projects/taglib" FALSE "" "")
if(TAGLIB_FOUND)
    add_definitions(${TAGLIB_CFLAGS})
    include_directories(${TAGLIB_INCLUDES})
endif(TAGLIB_FOUND)

macro_optional_find_package(Yaz 2.0)
macro_log_feature(YAZ_FOUND "libyaz" "Support for searching z39.50 databases" "http://www.indexdata.dk/yaz/" FALSE "2.0" "")

macro_optional_find_package(PopplerQt4)
macro_log_feature(POPPLER_QT4_FOUND "libpoppler" "Support for reading PDF files" "http://poppler.freedesktop.org/" FALSE "" "")
if(POPPLER_QT4_FOUND)
    add_definitions(${POPPLER_QT4_DEFINITIONS})
    include_directories(${POPPLER_QT4_INCLUDE_DIR})
endif(POPPLER_QT4_FOUND)

macro_optional_find_package(KSane)
macro_log_feature(KSANE_FOUND "libksane" "Support for adding scanned images to a collection" "http://www.kde.org/" FALSE "4.2.0" "")
if(KSANE_FOUND)
    include_directories(${KSANE_INCLUDE_DIR})
endif(KSANE_FOUND)

macro_optional_find_package(Exempi 2.0)
macro_log_feature(LIBEXEMPI_FOUND "libexempi" "Support for reading PDF/XMP metadata" "http://libopenraw.freedesktop.org/wiki/Exempi" FALSE "2.0" "")
if(LIBEXEMPI_FOUND)
    add_definitions(${LIBEXEMPI_CFLAGS})
    include_directories(${LIBEXEMPI_INCLUDE_DIR})
endif(LIBEXEMPI_FOUND)

macro_optional_find_package(QJSON)
macro_log_feature(QJSON_FOUND "QJSON" "Support for searching additional data sources, such as OpenLibrary and Freebase" "http://qjson.sourceforge.net" FALSE "" "")
if(QJSON_FOUND)
    include_directories(${QJSON_INCLUDE_DIR})
endif(QJSON_FOUND)

# webcam uses libv4l, which only works on Linux for now
# Linux 2.6.38 removed the videodev.h header
# libv4l 0.8.3 includes a compat header for videodev.h
if(ENABLE_WEBCAM)
    if(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
        message("WARNING: Webcam support is not available on your platform")
        set( ENABLE_WEBCAM FALSE )
    else(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
        pkg_check_modules(LIBV4L libv4l1>=0.6)
        macro_log_feature(LIBV4L_FOUND "libv4l" "Support for barcode scanning with a webcam" "http://hansdegoede.livejournal.com/3636.html"  FALSE "" "")
        if(LIBV4L_FOUND)
            if(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37")
                message("WARNING: libv4l 0.8.3 or later is required for Linux kernel 2.6.38 or later")
                set( ENABLE_WEBCAM FALSE )
            else(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37")
                include_directories(${LIBV4L_INCLUDE_DIR})
            endif(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37")
        else(LIBV4L_FOUND)
            set(ENABLE_WEBCAM FALSE)
        endif(LIBV4L_FOUND)
    endif(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
endif(ENABLE_WEBCAM)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -Wextra -fno-check-new -Woverloaded-virtual")
endif(CMAKE_COMPILER_IS_GNUCXX)

add_definitions(${QT_DEFINITIONS}
                ${KDE4_DEFINITIONS}
                ${YAZ_CFLAGS})
add_definitions(-DQT_STL -DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_STL -DQT3_SUPPORT)

include_directories(${KDE4_INCLUDES}
                    ${QT_INCLUDES}
                    ${QIMAGEBLITZ_INCLUDES}
                    ${LIBXML2_INCLUDE_DIR}
                    ${LIBXSLT_INCLUDE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${Tellico_SOURCE_DIR}/src/core
                    ${Tellico_SOURCE_DIR}/src/3rdparty)

if(KDE_VERSION VERSION_GREATER 4.4)
    set(ENABLE_KNEWSTUFF3 TRUE)
else(KDE_VERSION VERSION_GREATER 4.4)
    set(ENABLE_KNEWSTUFF3 FALSE)
endif(KDE_VERSION VERSION_GREATER 4.4)

# is there a better way to disable qt3support library?
get_directory_property(include_dirs INCLUDE_DIRECTORIES)
if(QT_QT3SUPPORT_FOUND)
  string(REPLACE ${QT_QT3SUPPORT_INCLUDE_DIR} "" include_dirs "${include_dirs}")
endif(QT_QT3SUPPORT_FOUND)
set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES "${include_dirs}")

set(TELLICO_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/tellico)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(xslt)
add_subdirectory(doc)

if(NOT CMAKE_SYSTEM_NAME MATCHES "FreeBSD|Linux|kFreeBSD|NetBSD|OpenBSD|SunOS|Darwin")
    message("WARNING: CDDB Lookup is not supported on your platform")
endif(NOT CMAKE_SYSTEM_NAME MATCHES "FreeBSD|Linux|kFreeBSD|NetBSD|OpenBSD|SunOS|Darwin")

########## Wrap tests results around the tests done within the source

macro_bool_to_01(TAGLIB_FOUND HAVE_TAGLIB)
macro_bool_to_01(POPPLER_QT4_FOUND HAVE_POPPLER)
macro_bool_to_01(LIBEXEMPI_FOUND HAVE_EXEMPI)
macro_bool_to_01(YAZ_FOUND HAVE_YAZ)
macro_bool_to_01(KSANE_FOUND HAVE_KSANE)
macro_bool_to_01(KDEMULTIMEDIA_FOUND HAVE_KCDDB)
macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KABC)
macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KCAL)
macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KXMLRPC)
macro_bool_to_01(LIBV4L_FOUND HAVE_V4L)
macro_bool_to_01(QJSON_FOUND HAVE_QJSON)
macro_bool_to_01(NEPOMUK_FOUND HAVE_NEPOMUK)
macro_bool_to_01(ENABLE_KNEWSTUFF3 ENABLE_KNEWSTUFF3)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

########### install files ###############

install(FILES tellico.dtd tellico.tips DESTINATION ${TELLICO_DATA_INSTALL_DIR})
install(PROGRAMS tellico.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES tellico.xml DESTINATION  ${XDG_MIME_INSTALL_DIR})
install(FILES x-tellico.desktop DESTINATION ${MIME_INSTALL_DIR}/application)

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    macro_display_feature_log()
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== src/3rdparty/rtf2html/CMakeLists.txt ===

########### next target ###############

SET(rtf2html_STAT_SRCS
   fmt_opts.cpp
   rtf2html.cpp
   rtf_keyword.cpp
   rtf_table.cpp
   )

ADD_LIBRARY(rtf2html STATIC ${rtf2html_STAT_SRCS})

=== src/fetch/scripts/CMakeLists.txt ===

########### install files ###############

SET(SCRIPT_FILES
    bedetheque.py
    boardgamegeek.rb
    dark_horse_comics.py
    fr.allocine.py
    ministerio_de_cultura.py
    )

SET(SPEC_FILES
    bedetheque.py.spec
    boardgamegeek.rb.spec
    dark_horse_comics.py.spec
    fr.allocine.py.spec
    ministerio_de_cultura.py.spec
    )

INSTALL(PROGRAMS ${SCRIPT_FILES} DESTINATION ${TELLICO_DATA_INSTALL_DIR}/data-sources )

INSTALL(FILES ${SPEC_FILES} DESTINATION ${TELLICO_DATA_INSTALL_DIR}/data-sources )

=== debian/changelog ===
tellico (2.3.8+dfsg.2-1ubuntu1) utopic; urgency=medium

  * Build without nepomuk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Jul 2014 17:24:17 +0200

tellico (2.3.8+dfsg.2-1) unstable; urgency=low

  * Repack the upstream source further to remove sourceless jquery.js.
    Closes: #736786.
  * Enable parallel building. Thanks Pino Toscano. Closes: #721029.
  * Take patch cdb95d17 from upstream git. Closes: #729499.
  * Bump Stadards-Version to 3.9.5. No other change needed.

 -- Regis Boudin <regis@debian.org>  Sat, 01 Mar 2014 15:05:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tellico
 Section: kde
 Priority: optional
-Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: debhelper (>= 9), cmake, pkg-config, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.7), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev (>=4:4.7), libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, shared-desktop-ontologies, libqjson-dev
-Standards-Version: 3.9.4
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
+Build-Depends: debhelper (>= 9), cmake, pkg-config, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.7), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev (>=4:4.7), libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, libqjson-dev
+Standards-Version: 3.9.5
 Homepage: http://tellico-project.org/
 Vcs-Git: git://anongit.kde.org/tellico.git

## tellico 2.3.9%2Bdfsg.1

=== debian/watch ===
# watch control file for uscan
#version=3
#http://tellico-project.org/files/tellico-(.*).tar.gz

## tellico 2.3.9+dfsg.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(Tellico)
-set(TELLICO_VERSION "2.3.8")
+set(TELLICO_VERSION "2.3.9")
 
 cmake_minimum_required(VERSION 2.6.2)
 
@@ -186,6 +186,7 @@
 install(PROGRAMS tellico.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES tellico.xml DESTINATION  ${XDG_MIME_INSTALL_DIR})
 install(FILES x-tellico.desktop DESTINATION ${MIME_INSTALL_DIR}/application)
+install(FILES tellico.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata )
 
 if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
     macro_display_feature_log()

=== icons/CMakeLists.txt ===
########### install files ###############

set(ICON_FILES
    album.png
    alexandria.png
    amc.png
    bibtex.png
    boardgame.png
    book.png
    card.png
    checkmark.png
    cite.png
    coin.png
    comic.png
    deliciouslibrary.png
    file.png
    game.png
    gcstar.png
    griffith.png
    goodreads.png
    nocover_album.png
    nocover_bibtex.png
    nocover_boardgame.png
    nocover_book.png
    nocover_comic.png
    nocover_game.png
    nocover_video.png
    palm.png
    person-open.png
    person.png
    README.icons
    README.quesnay
    referencer.png
    script.png
    script.svg
    stamp.png
    star_off.png
    star_on.png
    stars10.png
    stars1.png
    stars2.png
    stars3.png
    stars4.png
    stars5.png
    stars6.png
    stars7.png
    stars8.png
    stars9.png
    tellico_mime.svg
    tellico.png
    tellico.svg
    tellico.svg
    video.png
    vinoxml.png
    wine.png
    )

INSTALL(FILES ${ICON_FILES} DESTINATION ${TELLICO_DATA_INSTALL_DIR}/pics )

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR} )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(tr)
add_subdirectory(it)
add_subdirectory(es)
add_subdirectory(kk)
add_subdirectory(gl)
add_subdirectory(da)
add_subdirectory(zh_TW)
add_subdirectory(bg)
add_subdirectory(mr)
add_subdirectory(fr)
add_subdirectory(nn)
add_subdirectory(ro)
add_subdirectory(nl)
add_subdirectory(hu)
add_subdirectory(ga)
add_subdirectory(pt)
add_subdirectory(en_GB)
add_subdirectory(uk)
add_subdirectory(sv)
add_subdirectory(nds)
add_subdirectory(ja)
add_subdirectory(pl)
add_subdirectory(et)
add_subdirectory(ru)
add_subdirectory(nb)
add_subdirectory(ca@valencia)
add_subdirectory(eu)
add_subdirectory(eo)
add_subdirectory(de)
add_subdirectory(pt_BR)
add_subdirectory(sl)
add_subdirectory(el)
add_subdirectory(sk)
add_subdirectory(ug)
add_subdirectory(fi)
add_subdirectory(cs)
add_subdirectory(lt)
add_subdirectory(zh_CN)
add_subdirectory(ca)
add_subdirectory(bs)
add_subdirectory(ia)
add_subdirectory(ms)

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY( core )
ADD_SUBDIRECTORY( gui )
ADD_SUBDIRECTORY( collections )
ADD_SUBDIRECTORY( images )
ADD_SUBDIRECTORY( translators )
ADD_SUBDIRECTORY( fetch )
ADD_SUBDIRECTORY( commands )
ADD_SUBDIRECTORY( cite )
ADD_SUBDIRECTORY( newstuff )
ADD_SUBDIRECTORY( models )
ADD_SUBDIRECTORY( utils )
ADD_SUBDIRECTORY( 3rdparty )

IF( KDE4_BUILD_TESTS )
  ADD_SUBDIRECTORY( tests )
ENDIF( KDE4_BUILD_TESTS )

IF( ENABLE_WEBCAM )
  ADD_SUBDIRECTORY( barcode )
ENDIF( ENABLE_WEBCAM )

########### next target ###############

SET(tellico_SRCS
   bibtexkeydialog.cpp
   borrower.cpp
   borrowerdialog.cpp
   collection.cpp
   collectionfactory.cpp
   collectionfieldsdialog.cpp
   configdialog.cpp
   controller.cpp
   detailedlistview.cpp
   derivedvalue.cpp
   document.cpp
   entry.cpp
   entryeditdialog.cpp
   entrygroup.cpp
   entryiconview.cpp
   entrycomparison.cpp
   entrymatchdialog.cpp
   entrymerger.cpp
   entryupdatejob.cpp
   entryupdater.cpp
   entryview.cpp
   exportdialog.cpp
   fetchdialog.cpp
   fetcherconfigdialog.cpp
   field.cpp
   fieldcompletion.cpp
   fieldformat.cpp
   filter.cpp
   filterdialog.cpp
   filterview.cpp
   groupview.cpp
   importdialog.cpp
   loandialog.cpp
   loanview.cpp
   main.cpp
   mainwindow.cpp
   progressmanager.cpp
   reportdialog.cpp
   tellico_kernel.cpp
   tellico_utils.cpp
   viewstack.cpp
   )

KDE4_ADD_EXECUTABLE(tellico ${tellico_SRCS})

TARGET_LINK_LIBRARIES(tellico
    core
    cite
    fetch
    collections
    images
    translators
    gui
    commands
    tellicomodels
    utils
    newstuff
    pilotdb
    rtf2html
    btparse
    csv
    )

TARGET_LINK_LIBRARIES(tellico
    ${QT_AND_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KHTML_LIBS}
    ${KDE4_SOLID_LIBS}
    ${QIMAGEBLITZ_LIBRARIES}
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${LIBEXSLT_LIBRARIES}
    )

IF( ENABLE_KNEWSTUFF3 )
  TARGET_LINK_LIBRARIES(tellico ${KDE4_KNEWSTUFF3_LIBS})
ELSE( ENABLE_KNEWSTUFF3 )
  TARGET_LINK_LIBRARIES(tellico ${KDE4_KNEWSTUFF2_LIBS})
ENDIF( ENABLE_KNEWSTUFF3 )

IF( KDEPIMLIBS_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_KCAL_LIBS})
ENDIF( KDEPIMLIBS_FOUND )

IF( KDEMULTIMEDIA_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${KCDDB_LIBRARY})
ENDIF( KDEMULTIMEDIA_FOUND)

IF( POPPLER_QT4_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${POPPLER_QT4_LIBRARIES})
ENDIF( POPPLER_QT4_FOUND )

IF( LIBEXEMPI_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${LIBEXEMPI_LIBRARIES})
ENDIF( LIBEXEMPI_FOUND )

IF( TAGLIB_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${TAGLIB_LIBRARIES})
ENDIF( TAGLIB_FOUND )

IF( YAZ_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${YAZ_LIBRARIES})
ENDIF( YAZ_FOUND )

IF( ENABLE_WEBCAM )
  TARGET_LINK_LIBRARIES(tellico barcode ${LIBV4L_LIBRARIES})
ENDIF( ENABLE_WEBCAM )

IF( KSANE_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${KSANE_LIBRARY})
ENDIF( KSANE_FOUND )

INSTALL( TARGETS tellico ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

INSTALL(FILES   tellicorc DESTINATION ${CONFIG_INSTALL_DIR} )
INSTALL(FILES   tellicoui.rc DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== xslt/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,6 @@
     tellico-common.xsl
     tellico-printing.xsl
     thegamesdb2tellico.xsl
-    tmdb2tellico.xsl
     UNIMARC2MODS3.xsl
     vhs-logo.png
     vinoxml2tellico.xsl

=== doc/ca/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ca SUBDIR tellico )

=== doc/en_US/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR tellico )

=== doc/fr/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr SUBDIR tellico )

=== doc/nl/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl SUBDIR tellico )

=== po/ia/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ia ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== src/collections/CMakeLists.txt ===

########### next target ###############

SET(collections_STAT_SRCS
   bibtexcollection.cpp
   boardgamecollection.cpp
   bookcollection.cpp
   cardcollection.cpp
   coincollection.cpp
   collectioninitializer.cpp
   comicbookcollection.cpp
   filecatalog.cpp
   gamecollection.cpp
   musiccollection.cpp
   stampcollection.cpp
   videocollection.cpp
   winecollection.cpp
   )

KDE4_ADD_LIBRARY(collections STATIC ${collections_STAT_SRCS})
TARGET_LINK_LIBRARIES(collections translators)

=== src/tests/CMakeLists.txt ===
SET( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

# formattest includes fieldformat that include core/tellico_config.h
# which is generated in the build directory
INCLUDE_DIRECTORIES( ${Tellico_BINARY_DIR}/src )

KDE4_ADD_UNIT_TEST(entitytest NOGUI entitytest.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(entitytest ${KDE4_KDECORE_LIBS}  ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(cuecattest NOGUI cuecattest.cpp)
TARGET_LINK_LIBRARIES(cuecattest utils ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(isbntest NOGUI isbntest.cpp)
TARGET_LINK_LIBRARIES(isbntest utils ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(lccntest NOGUI lccntest.cpp)
TARGET_LINK_LIBRARIES(lccntest utils ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(lcctest NOGUI lcctest.cpp ../field.cpp ../fieldformat.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(lcctest utils core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(formattest NOGUI formattest.cpp ../fieldformat.cpp)
TARGET_LINK_LIBRARIES(formattest core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(fieldtest NOGUI fieldtest.cpp ../field.cpp ../fieldformat.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(fieldtest core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(comparisontest NOGUI comparisontest.cpp ../field.cpp ../fieldformat.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(comparisontest utils core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(imagetest NOGUI imagetest.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(imagetest images core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

SET(tellicotest_SRCS
   ../collection.cpp
   ../entry.cpp
   ../entrygroup.cpp
   ../entrycomparison.cpp
   ../field.cpp
   ../fieldformat.cpp
   ../filter.cpp
   ../borrower.cpp
   ../collectionfactory.cpp
   ../tellico_utils.cpp
   ../derivedvalue.cpp
   ../document.cpp
   ../progressmanager.cpp
   )

KDE4_ADD_LIBRARY(tellicotest STATIC ${tellicotest_SRCS})

ADD_DEPENDENCIES(tellicotest tellico_config)

set(TELLICO_TEST_LIBS
   ${QT_AND_KDECORE_LIBS}
   ${QT_QTTEST_LIBRARY}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
   tellicotest
   collections
   translators
   utils
   core
   images
   core
   gui
   tellicotest
   )

# for some of these, the libraries seem to require being repeated so
# that the order of linking works...no idea why...
KDE4_ADD_UNIT_TEST(collectiontest NOGUI collectiontest.cpp)
TARGET_LINK_LIBRARIES(collectiontest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(filtertest NOGUI filtertest.cpp)
TARGET_LINK_LIBRARIES(filtertest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(adstest NOGUI adstest.cpp)
TARGET_LINK_LIBRARIES(adstest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(alexandriatest NOGUI alexandriatest.cpp ../progressmanager.cpp)
TARGET_LINK_LIBRARIES(alexandriatest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(amctest NOGUI amctest.cpp)
TARGET_LINK_LIBRARIES(amctest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(bibtextest NOGUI bibtextest.cpp)
TARGET_LINK_LIBRARIES(bibtextest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(bibtexmltest NOGUI bibtexmltest.cpp)
TARGET_LINK_LIBRARIES(bibtexmltest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(ciwtest NOGUI ciwtest.cpp)
TARGET_LINK_LIBRARIES(ciwtest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(csvtest NOGUI csvtest.cpp)
TARGET_LINK_LIBRARIES(csvtest csv ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(delicioustest NOGUI delicioustest.cpp)
TARGET_LINK_LIBRARIES(delicioustest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(gcstartest NOGUI gcstartest.cpp)
TARGET_LINK_LIBRARIES(gcstartest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(referencertest NOGUI referencertest.cpp)
TARGET_LINK_LIBRARIES(referencertest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(ristest NOGUI ristest.cpp)
TARGET_LINK_LIBRARIES(ristest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(tellicoreadtest NOGUI tellicoreadtest.cpp)
TARGET_LINK_LIBRARIES(tellicoreadtest tellicomodels ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(vinoxmltest NOGUI vinoxmltest.cpp)
TARGET_LINK_LIBRARIES(vinoxmltest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(entryupdatejobtest NOGUI entryupdatejobtest.cpp ../entryupdatejob.cpp)
TARGET_LINK_LIBRARIES(entryupdatejobtest fetch translators ${TELLICO_TEST_LIBS})

# fetcher tests from here down
IF(BUILD_FETCHER_TESTS)

KDE4_ADD_UNIT_TEST(allocinefetchertest NOGUI allocinefetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(allocinefetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(amazonfetchertest NOGUI amazonfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(amazonfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(animenfofetchertest NOGUI animenfofetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(animenfofetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(arxivfetchertest NOGUI arxivfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(arxivfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(bibliosharefetchertest NOGUI bibliosharefetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(bibliosharefetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(boardgamegeekfetchertest NOGUI boardgamegeekfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(boardgamegeekfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(citebasefetchertest NOGUI citebasefetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(citebasefetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(darkhorsefetchertest NOGUI darkhorsefetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(darkhorsefetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(dblpfetchertest NOGUI dblpfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(dblpfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(discogsfetchertest NOGUI discogsfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(discogsfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(doubanfetchertest NOGUI doubanfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(doubanfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(dvdfrfetchertest NOGUI dvdfrfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(dvdfrfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(entrezfetchertest NOGUI entrezfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(entrezfetchertest fetch ${TELLICO_TEST_LIBS})

IF( QJSON_FOUND )
    KDE4_ADD_UNIT_TEST(freebasefetchertest NOGUI freebasefetchertest.cpp abstractfetchertest.cpp)
    TARGET_LINK_LIBRARIES(freebasefetchertest fetch ${TELLICO_TEST_LIBS})

    KDE4_ADD_UNIT_TEST(filmasterfetchertest NOGUI filmasterfetchertest.cpp abstractfetchertest.cpp)
    TARGET_LINK_LIBRARIES(filmasterfetchertest fetch ${TELLICO_TEST_LIBS})

    KDE4_ADD_UNIT_TEST(masfetchertest NOGUI masfetchertest.cpp abstractfetchertest.cpp)
    TARGET_LINK_LIBRARIES(masfetchertest fetch ${TELLICO_TEST_LIBS})

    KDE4_ADD_UNIT_TEST(googlebookfetchertest NOGUI googlebookfetchertest.cpp abstractfetchertest.cpp)
    TARGET_LINK_LIBRARIES(googlebookfetchertest fetch ${TELLICO_TEST_LIBS})

ENDIF( QJSON_FOUND )

# running gcstar in the fetcher is really unreliable
#KDE4_ADD_UNIT_TEST(gcstarfetchertest NOGUI gcstarfetchertest.cpp)
#TARGET_LINK_LIBRARIES(gcstarfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(giantbombfetchertest NOGUI giantbombfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(giantbombfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(googlescholarfetchertest NOGUI googlescholarfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(googlescholarfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(ibsfetchertest NOGUI ibsfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(ibsfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(imdbfetchertest NOGUI imdbfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(imdbfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(isbndbfetchertest NOGUI isbndbfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(isbndbfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(moviemeterfetchertest NOGUI moviemeterfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(moviemeterfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(musicbrainzfetchertest NOGUI musicbrainzfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(musicbrainzfetchertest fetch ${TELLICO_TEST_LIBS})

IF( QJSON_FOUND )
    KDE4_ADD_UNIT_TEST(openlibraryfetchertest NOGUI openlibraryfetchertest.cpp abstractfetchertest.cpp)
    TARGET_LINK_LIBRARIES(openlibraryfetchertest fetch ${TELLICO_TEST_LIBS})
ENDIF( QJSON_FOUND )

KDE4_ADD_UNIT_TEST(springerfetchertest NOGUI springerfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(springerfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(srufetchertest NOGUI srufetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(srufetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(thegamesdbfetchertest NOGUI thegamesdbfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(thegamesdbfetchertest fetch ${TELLICO_TEST_LIBS})

IF( QJSON_FOUND )
    KDE4_ADD_UNIT_TEST(themoviedbfetchertest NOGUI themoviedbfetchertest.cpp abstractfetchertest.cpp)
    TARGET_LINK_LIBRARIES(themoviedbfetchertest fetch ${TELLICO_TEST_LIBS})
ENDIF( QJSON_FOUND )

KDE4_ADD_UNIT_TEST(vndbfetchertest NOGUI vndbfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(vndbfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(winecomfetchertest NOGUI winecomfetchertest.cpp abstractfetchertest.cpp)
TARGET_LINK_LIBRARIES(winecomfetchertest fetch ${TELLICO_TEST_LIBS})

IF( YAZ_FOUND )
    KDE4_ADD_UNIT_TEST(z3950fetchertest NOGUI z3950fetchertest.cpp abstractfetchertest.cpp)
    TARGET_LINK_LIBRARIES(z3950fetchertest fetch ${TELLICO_TEST_LIBS})
ENDIF( YAZ_FOUND )

ENDIF(BUILD_FETCHER_TESTS)

=== debian/changelog ===
tellico (2.3.9+dfsg.1-1) unstable; urgency=low

  * New upstream release.
    + Patch cdb95d17 is now included, drop it.
    + CVS parsing update. Closes: #729503.
  * Bump Stadards-Version to 3.9.6. No other change needed.

 -- Regis Boudin <regis@debian.org>  Sat, 18 Oct 2014 12:40:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tellico
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: debhelper (>= 9), cmake, pkg-config, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.7), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev (>=4:4.7), libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, libqjson-dev
-Standards-Version: 3.9.5
+Maintainer: Regis Boudin <regis@debian.org>
+Build-Depends: debhelper (>= 9), cmake, pkg-config, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.7), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev (>=4:4.7), libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, nepomuk-core-dev, libksane-dev, shared-desktop-ontologies, libqjson-dev
+Standards-Version: 3.9.6
 Homepage: http://tellico-project.org/
 Vcs-Git: git://anongit.kde.org/tellico.git

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed
 
 %:
-	dh $@ --with kde
+	dh $@ --with kde --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure --buildsystem=kde -- \
+	dh_auto_configure --buildsystem=kde --parallel -- \
 		-DKDE4_BUILD_TESTS=false \
 		-DENABLE_WEBCAM=false
